Starting in December, we will archive content from the community that is 10 years and older. This FAQ provides more information.
Hi,
I am sure there is a post on how to make it but I cannot find it.
I think I know how to place Front View but do not know how to place its projections, exactly which ones I want.
My question is how to place Front View and two projected views on a drawing, right and above the Front one, guess Inventor will use the projection method specified for the drawing (first or third angle)?
Then I guess I can specify the scale, position, and all other parameters like View, Associativity, Sheet Metal View, Style, Display Options, ...
Have a lovely day.
Check out this link and see if it helps.
Thank you @dutt.thakar ,
Did not have time to go through all posts you mention that are related to my question to find the code for placing Frint View and two projected views.
Is it possible to get here just a code for placing the Front view and two projected views (of course aligned to the Front one, same relations to the main view as you manually place them), one to the right, another above the main view.
Have a lovely day.
Created this code a long time back, please try and see if that works,
Dim partDoc As PartDocument = ThisApplication.Documents.Open("C:\Vault\Designs\Sandbox\HolePlate.ipt", False) Dim tg As TransientGeometry = ThisApplication.TransientGeometry Dim oDoc As DrawingDocument = ThisApplication.ActiveDocument Dim oSheet As Sheet = oDoc.ActiveSheet Dim frontView As DrawingView frontView = oSheet.DrawingViews.AddBaseView(partDoc, tg.CreatePoint2d(12, 15), 2, ViewOrientationTypeEnum.kRightViewOrientation, DrawingViewStyleEnum.kHiddenLineDrawingViewStyle) ' Create the top, right and iso views. Dim sideView1 As DrawingView sideView1 = oSheet.DrawingViews.AddProjectedView(frontView, tg.CreatePoint2d(24, 15), DrawingViewStyleEnum.kFromBaseDrawingViewStyle) Dim topView1 As DrawingView topView1 = oSheet.DrawingViews.AddProjectedView(frontView,tg.CreatePoint2d(12, 30), DrawingViewStyleEnum.kFromBaseDrawingViewStyle)
Can't find what you're looking for? Ask the community or share your knowledge.